// +build amd64,!noasm

package p503

import cpu "github.com/cloudflare/p751sidh/internal/utils"

// There couple of reasons for having those variables here:
// 1) to have an access to them from assembly
// 2) to make it easy to vendor the library
// 3) make it possible to test all functionalities
var useMULX bool
var useADXMULX bool

func init() {
	useMULX = cpu.HasBMI2
	useADXMULX = cpu.HasADX && cpu.HasBMI2
}
